Subject: Re: [PATCH net-next v1 1/9] amd-xgbe: Disable VLAN filtering when in promiscuous mode

From: Tom Lendacky <[email-masked]>
Date: Wed, 17 Feb 2016 10:35:31 -0600

On 02/17/2016 10:31 AM, David Miller wrote:
> From: Tom Lendacky <[email-masked]>
> Date: Wed, 17 Feb 2016 10:09:34 -0600
> 
>> On 02/16/2016 07:19 PM, David Miller wrote:
>>> From: Tom Lendacky <[email-masked]>
>>> Date: Fri, 12 Feb 2016 08:32:24 -0600
>>>
>>>> +#ifndef CRCPOLY_LE
>>>> +#define CRCPOLY_LE 0xedb88320
>>>> +#endif
>>>> +static u32 xgbe_vid_crc32_le(__le16 vid_le)
>>>
>>> Please do not implement yet another copy of a CRC implementation.
>>>
>>> Make use of the various versions the kernel provides already instead,
>>> add Kconfig dependencies as needed.
>>
>> I can't use the existing kernel implementations because there aren't
>> any that support the 12-bit length of the VLAN VID (lengths are all
>> at the byte level). I created this function (back when I added VLAN
>> filtering support in 2014 - it's only being moved in this patch)
>> because of this 12-bit length.
>>
>> I do use the kernel functions in other areas, I just can't use them
>> here.
> 
> This crummy ifdef looks terrible though, is it even needed?

I probably added it in case the #defines in the crc32defs.h were ever
made public.

> Please remove it.

Will do.  I'll send out a v2 with the ifdef removed.

Thanks,
Tom